Bug 174361 - "Error activating XKB configuration" on modular Xorg
"Error activating XKB configuration" on modular Xorg
Product: Fedora
Classification: Fedora
Component: libxklavier (Show other bugs)
All Linux
medium Severity medium
: ---
: ---
Assigned To: Ray Strode [halfline]
Mike McLean
Depends On:
  Show dependency treegraph
Reported: 2005-11-28 09:59 EST by Ilya Konstantinov
Modified: 2007-11-30 17:11 EST (History)
2 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Last Closed: 2006-03-13 00:35:17 EST
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---

Attachments (Terms of Use)
Add XKB_BIN_BASE define (32.52 KB, patch)
2005-12-25 21:23 EST, Ilya Konstantinov
no flags Details | Diff
Patch libxklavier.spec to include my patch (596 bytes, patch)
2005-12-25 21:26 EST, Ilya Konstantinov
no flags Details | Diff

  None (edit)
Description Ilya Konstantinov 2005-11-28 09:59:24 EST
The Keyboad Indicator applet reports "Error activating XKB configuration" on
various operations after upgrading to the modular Xorg (0.99.1-3) packages. It
should be noted that libxkbfile version is 0.99.1-3.
Comment 1 Ilya Konstantinov 2005-12-25 20:46:36 EST
I've narrowed down one problem: It stems from the fact that
/usr/X11R6/lib/X11/xkb has moved to /usr/share/X11/xkb, and libxklavier's
autoconf script doesn't detect it. Also, libxklavier doesn't support a file
layout where /usr/share/X11/xkb only contains the data and the 'xkbcomp'
executable resides in a different place.

I'll be sending a patch once everything is ready.
Comment 2 Ilya Konstantinov 2005-12-25 21:23:32 EST
Created attachment 122582 [details]
Add XKB_BIN_BASE define

Patches the code to run xkbcomp from XKB_BIN_BASE/xkbcomp, and patches the
autoconf scripts to generate that define in config.h.

The actual files (configure and config.h) are provided as well within the
patch, since rpmbuild doesn't call autoconf/autoheader. If the patch goes
upstream, omit those files.
Comment 3 Ilya Konstantinov 2005-12-25 21:26:05 EST
Created attachment 122583 [details]
Patch libxklavier.spec to include my patch
Comment 4 Ilya Konstantinov 2005-12-25 21:28:45 EST
With this patch, the GNOME Keyboard Indicator applet still sees a very small
selection of layout options. Also, I'm unable to make it use more than one
layout... but at least it eliminates the error messages, so I guess we're
getting somewhere.

Sergey, please have a look.
Comment 5 Sergey V. Udaltsov 2005-12-26 13:44:03 EST
Well, this patch makes sense to me, generally. The only thing is that it
includes changes to the "configure" script which is autogenerated;) I'll apply
it ASAP. Except for .spec file - I think most people still use nonmodular Xorg...
Comment 6 Sergey V. Udaltsov 2005-12-26 13:53:16 EST
Comment 7 Ilya Konstantinov 2005-12-26 15:11:02 EST
The spec is intended for Fedora. I didn't look at your spec. While in Fedora's
spec I allowed myself to hardcode the X directories, you should probably improve
configure.in to autodetect those values better; right now, $x_libraries was
simply not defined in my configure run (but I didn't research further into it).

Re autogenerated configure, I also included the configure.in file, which's what
you should take. The autogenerated one is for Fedora's consumption.
Comment 8 Ray Strode [halfline] 2006-03-13 00:35:17 EST
This has apparently been fixed in rawhide since Dec 27th.  Closing...

Thanks for the patch Ilya!

Note You need to log in before you can comment on or make changes to this bug.